Name:           kolab-utils
Version:        3.0.3
Release:        %mkrel 5
Summary:        Kolab Utilities

Group:          System/Servers

License:        GPLv2+
URL:            http://www.kolab.org/about/kolab-utils

Source0:        http://git.kolab.org/kolab-utils/snapshot/%{name}-%{version}.tar.gz
Source1:        index.php
Source2:        kolab-freebusy.conf
Source3:        kolab-freebusy.cron
Patch0:		CMakeLists_version.patch
Patch1:         kolab-utils-3.0.3-install-libkolabutils.patch

Requires:       apache
Requires:       php >= 5.3

BuildRequires:  cmake
BuildRequires:  libcurl-devel
BuildRequires:  libkolab-devel
BuildRequires:  kdepimlibs4-devel >= 4.9
BuildRequires:  qt4-devel

%description
Utilities for Kolab

%prep
%setup -q
%patch0 -p0  -b .version
%patch1 -p1  -b .libkolabutils

%build
%cmake -Wno-fatal-errors -Wno-errors \
    -DCMAKE_VERBOSE_MAKEFILE=ON \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DINCLUDE_INSTALL_DIR=%{_includedir} \
    -DLIB_INSTALL_DIR=%{_libdir} \
    -DBIN_INSTALL_DIR=%{_bindir} \
    -DUSE_LIBCALENDARING=OFF \
    ..
%make


%install
pushd build
make install DESTDIR=%{buildroot}
popd

mkdir -p %{buildroot}/%{_datadir}/kolab-freebusy/
install -pm 644 %{SOURCE1} %{buildroot}/%{_datadir}/kolab-freebusy/index.php

mkdir -p %{buildroot}/%{_sharedstatedir}/kolab-freebusy/

mkdir -p %{buildroot}/%{_webappconfdir}
install -pm 644 %{SOURCE2} %{buildroot}/%{_webappconfdir}/kolab-freebusy.conf

mkdir -p %{buildroot}/%{_sysconfdir}/cron.d/
install -pm 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/cron.d/kolab-freebusy

%files
%config(noreplace) %{_sysconfdir}/cron.d/kolab-freebusy
%{_bindir}/*
%{_libdir}/libkolabutils.so
%{_datadir}/kolab-freebusy
%config(noreplace)%{_webappconfdir}/kolab-freebusy.conf
%attr(0750,root,apache) %dir %{_sharedstatedir}/kolab-freebusy


%changelog

* Sat Apr 27 2013 tmb <tmb> 3.0.3-5.mga3
+ Revision: 411454
- set -DUSE_LIBCALENDARING=OFF
- really drop BR on libcalendaring-devel
- bump rel

* Sun Feb 17 2013 spuhler <spuhler> 3.0.3-4.mga3
+ Revision: 398848
- corrected the location of kolab-freebusy.conf

* Sat Jan 12 2013 umeabot <umeabot> 3.0.3-3.mga3
+ Revision: 356387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 spuhler <spuhler> 3.0.3-2.mga3
+ Revision: 318639
- bumped rel
  added file libkolabutils.so
- added libkolabutils patch

* Mon Nov 12 2012 spuhler <spuhler> 3.0.3-1.mga3
+ Revision: 317091
- upgrade to 3.0.3

* Tue Sep 18 2012 spuhler <spuhler> 3.0.2-2.mga3
+ Revision: 295822
- correct the Requires from httpd to apache
  bumped rel

* Mon Sep 17 2012 spuhler <spuhler> 3.0.2-1.mga3
+ Revision: 294689
- imported package kolab-utils

